
--============================--
----- SetUP AddOns Default -----
--============================--
local E, L, V, P, G = unpack(ElvUI);


function SetUpAddOns()

	if IsAddOnLoaded('Skada') then
		LoadSkadaProfile(layout)
		E:Print(L["The 'Skada' profile has been created and installed."])
		PluginInstallStepComplete.message = L["AddOn Profiles installed"]
		PluginInstallStepComplete:Show()
		
		else
		E:Print(L["The AddOn 'Skada' is not enabled. No profile was needed."])
		PluginInstallStepComplete.message = L["Skada is not enabled, aborting."]
		PluginInstallStepComplete:Show()
	end
	
	if IsAddOnLoaded('SimpleRareElite') then
		LoadSREProfile(layout)
		E:Print(L["The 'SimpleRareElite' profile has been created and installed."])
		PluginInstallStepComplete.message = L["AddOn Profiles installed"]
		PluginInstallStepComplete:Show()
		
		else
		E:Print(L["The AddOn 'SimpleRareElite' is not enabled. No profile was needed."])
		PluginInstallStepComplete.message = L["SimpleRareElite is not enabled, aborting."]
		PluginInstallStepComplete:Show()
	end

	if IsAddOnLoaded('Masque') then
		LoadMasqueProfile(layout)
		E:Print(L["The 'Masque' profile has been created and installed."])
		PluginInstallStepComplete.message = L["AddOn Profiles installed"]
		PluginInstallStepComplete:Show()
		
		else
		E:Print(L["The AddOn 'Masque' is not enabled. No profile was needed."])
		PluginInstallStepComplete.message = L["Masque is not enabled, aborting."]
		PluginInstallStepComplete:Show()
	end

	if IsAddOnLoaded('DBM-Core') then
		LoadDBMCoreProfile(layout)
		LoadDBMProfile(layout)
		E:Print(L["The 'Deadly Boos Mod' profile has been created and installed."])
		PluginInstallStepComplete.message = L["AddOn Profiles installed"]
		PluginInstallStepComplete:Show()
		
		else
		E:Print(L["The AddOn 'Deadly Boss Mod' is not enabled. No profile was needed."])
		PluginInstallStepComplete.message = L["Deadly Boss Mod is not enabled, aborting."]
		PluginInstallStepComplete:Show()
	end

	if IsAddOnLoaded('BigWigs') then
		LoadBigWigsProfile(layout)
		E:Print(L["The 'BigWigs' profile has been created and installed."])
		PluginInstallStepComplete.message = L["AddOn Profiles installed"]
		PluginInstallStepComplete:Show()
		
		else
		E:Print(L["The AddOn 'BigWigs' is not enabled. No profile was needed."])
		PluginInstallStepComplete.message = L["BigWigs is not enabled, aborting."]
		PluginInstallStepComplete:Show()
	end
	
	if IsAddOnLoaded('Details') then
		LoadDetailsProfile(layout)
		E:Print(L["The 'Details' profile has been created and installed."])
		PluginInstallStepComplete.message = L["AddOn Profiles installed"]
		PluginInstallStepComplete:Show()
		
		else
		E:Print(L["The AddOn 'Details' is not enabled. No profile was needed."])
		PluginInstallStepComplete.message = L["Details is not enabled, aborting."]
		PluginInstallStepComplete:Show()
	end	
end
	
	

